<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:31:37 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PapyrusCDTEditor (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PapyrusCDTEditor (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusCDTEditor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/DelegatingSourceViewer.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html" target="_top">Frames</a></li>
<li><a href="PapyrusCDTEditor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.cdt.internal.ui.editor.CEditor">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor</div>
<h2 title="Class PapyrusCDTEditor" class="title">Class PapyrusCDTEditor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.common.EventManager</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.WorkbenchPart</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.EditorPart</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.texteditor.AbstractTextEditor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.texteditor.StatusTextEditor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.texteditor.AbstractDecoratedTextEditor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.editors.text.TextEditor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.cdt.internal.ui.editor.CEditor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.PapyrusCDTEditor</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.cdt.core.model.ITranslationUnitHolder, org.eclipse.cdt.internal.ui.text.ICReconcilingListener, org.eclipse.cdt.ui.ICEditor, org.eclipse.cdt.ui.ICModelBasedEditor, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.IEditorPart, org.eclipse.ui.INavigationLocationProvider, org.eclipse.ui.IPersistable, org.eclipse.ui.IPersistableEditor, org.eclipse.ui.IReusableEditor, org.eclipse.ui.ISaveablePart, org.eclipse.ui.ISaveablesSource, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation, org.eclipse.ui.texteditor.ITextEditor, org.eclipse.ui.texteditor.ITextEditorExtension, org.eclipse.ui.texteditor.ITextEditorExtension2, org.eclipse.ui.texteditor.ITextEditorExtension3, org.eclipse.ui.texteditor.ITextEditorExtension4, org.eclipse.ui.texteditor.ITextEditorExtension5, org.eclipse.ui.texteditor.ITextEditorExtension6</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PapyrusCDTEditor</span>
extends org.eclipse.cdt.internal.ui.editor.CEditor</pre>
<div class="block">A specialization of the CDT editor made for integration into Papyrus</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.cdt.internal.ui.editor.CEditor">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.cdt.internal.ui.editor.CEditor</h3>
<code>org.eclipse.cdt.internal.ui.editor.CEditor.DeleteNextSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.DeletePreviousSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.NavigateNextSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.NavigatePreviousSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.NextSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.PreviousSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.SelectNextSubWordAction, org.eclipse.cdt.internal.ui.editor.CEditor.SelectPreviousSubWordAction</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.ui.texteditor.AbstractTextEditor">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.ui.texteditor.AbstractTextEditor</h3>
<code>org.eclipse.ui.texteditor.AbstractTextEditor.AbstractSelectionChangedListener, org.eclipse.ui.texteditor.AbstractTextEditor.ColumnSupport, org.eclipse.ui.texteditor.AbstractTextEditor.IdMapEntry, org.eclipse.ui.texteditor.AbstractTextEditor.LineEndAction, org.eclipse.ui.texteditor.AbstractTextEditor.LineStartAction, org.eclipse.ui.texteditor.AbstractTextEditor.SelectionProvider, org.eclipse.ui.texteditor.AbstractTextEditor.TextEditorSavable</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.ui.texteditor.ITextEditorExtension3">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.ui.texteditor.ITextEditorExtension3</h3>
<code>org.eclipse.ui.texteditor.ITextEditorExtension3.InsertMode</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#EDITOR_DEFAULT_NAME">EDITOR_DEFAULT_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#EDITOR_TYPE">EDITOR_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.events.FocusListener</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#focusListener">focusListener</a></span></code>
<div class="block">the text listener</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.jface.action.IAction</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#gmfRedo">gmfRedo</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.action.IAction</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#gmfUndo">gmfUndo</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#gotoListener">gotoListener</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.ui.IEditorInput</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#m_input">m_input</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#oldDirty">oldDirty</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#papyrusTextInstance">papyrusTextInstance</a></span></code>
<div class="block">the papyrus text instance</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.papyrus.infra.core.services.ServicesRegistry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#registry">registry</a></span></code>
<div class="block">the service registry</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/RevealCurrentOperation.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync">RevealCurrentOperation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#reveal">reveal</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.papyrus.infra.ui.lifecycleevents.ISaveAndDirtyService</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#saveAndDirtyService">saveAndDirtyService</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.viewers.ISelectionProvider</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#sp">sp</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.core.resources.IFile</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#srcFile">srcFile</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync">SyncCDTtoModel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#syncCpp">syncCpp</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.jface.action.IAction</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#textRedo">textRedo</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.action.IAction</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#textUndo">textUndo</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.cdt.internal.ui.editor.CEditor">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.cdt.internal.ui.editor.CEditor</h3>
<code>BRACKETS, fBracketMatcher, fOutlinePage, fOutlinerContextMenuId, fProjectionSupport, INACTIVE_CODE_COLOR, INACTIVE_CODE_ENABLE, MATCHING_BRACKETS, MATCHING_BRACKETS_COLOR, SUB_WORD_NAVIGATION</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.editors.text.TextEditor">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.ui.editors.text.TextEditor</h3>
<code>fEncodingSupport</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.texteditor.AbstractDecoratedTextEditor">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.ui.texteditor.AbstractDecoratedTextEditor</h3>
<code>DEFAULT_OVERVIEW_RULER_CONTEXT_MENU_ID, fAnnotationAccess, fIsUpdatingMarkerViews, fLineNumberRulerColumn, fOverviewRuler, fSourceViewerDecorationSupport</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.texteditor.AbstractTextEditor">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.ui.texteditor.AbstractTextEditor</h3>
<code>ACTION_MAP, COMMON_EDITOR_CONTEXT_MENU_ID, COMMON_RULER_CONTEXT_MENU_ID, DEFAULT_EDITOR_CONTEXT_MENU_ID, DEFAULT_RULER_CONTEXT_MENU_ID, fErrorLabel, PREFERENCE_COLOR_BACKGROUND, PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_FIND_SCOPE, PREFERENCE_COLOR_FOREGROUND, PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_BACKGROUND, PREFERENCE_COLOR_SELECTION_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_FOREGROUND, PREFERENCE_COLOR_SELECTION_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_FONT, PREFERENCE_HOVER_ENRICH_MODE, PREFERENCE_HYPERLINK_KEY_MODIFIER, PREFERENCE_HYPERLINK_KEY_MODIFIER_MASK, PREFERENCE_HYPERLINKS_ENABLED, PREFERENCE_NAVIGATION_SMART_HOME_END, PREFERENCE_RULER_CONTRIBUTIONS, PREFERENCE_SHOW_CARRIAGE_RETURN, PREFERENCE_SHOW_ENCLOSED_IDEOGRAPHIC_SPACES, PREFERENCE_SHOW_ENCLOSED_SPACES, PREFERENCE_SHOW_ENCLOSED_TABS, PREFERENCE_SHOW_LEADING_IDEOGRAPHIC_SPACES, PREFERENCE_SHOW_LEADING_SPACES, PREFERENCE_SHOW_LEADING_TABS, PREFERENCE_SHOW_LINE_FEED, PREFERENCE_SHOW_TRAILING_IDEOGRAPHIC_SPACES, PREFERENCE_SHOW_TRAILING_SPACES, PREFERENCE_SHOW_TRAILING_TABS, PREFERENCE_SHOW_WHITESPACE_CHARACTERS, PREFERENCE_TEXT_DRAG_AND_DROP_ENABLED, PREFERENCE_USE_CUSTOM_CARETS, PREFERENCE_WHITESPACE_CHARACTER_ALPHA_VALUE, PREFERENCE_WIDE_CARET, PREFERENCE_WORD_WRAP_ENABLED, TAG_SELECTION_HORIZONTAL_PIXEL, TAG_SELECTION_LENGTH, TAG_SELECTION_OFFSET, TAG_SELECTION_TOP_PIXEL, VERTICAL_RULER_WIDTH</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.IEditorPart">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.IEditorPart</h3>
<code>PROP_DIRTY, PROP_INPUT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>PROP_TITLE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.texteditor.ITextEditorExtension3">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.texteditor.ITextEditorExtension3</h3>
<code>INSERT, SMART_INSERT</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#PapyrusCDTEditor-org.eclipse.papyrus.infra.core.services.ServicesRegistry-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">PapyrusCDTEditor</a></span>(org.eclipse.papyrus.infra.core.services.ServicesRegistry&nbsp;registry,
                <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;papyrusTextInstance)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#createPartControl-org.eclipse.swt.widgets.Composite-">createPartControl</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent)</code>
<div class="block">override method in order to save & restore action bars entries</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.jface.text.source.ISourceViewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#createSourceViewer-org.eclipse.swt.widgets.Composite-org.eclipse.jface.text.source.IVerticalRuler-int-">createSourceViewer</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent,
                  org.eclipse.jface.text.source.IVerticalRuler&nbsp;ruler,
                  int&nbsp;styles)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#dispose--">dispose</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#doSetInput-org.eclipse.ui.IEditorInput-">doSetInput</a></span>(org.eclipse.ui.IEditorInput&nbsp;input)</code>
<div class="block">We override this method because setInput can't be overriden for TextEditor.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#gotoElement-org.eclipse.uml2.uml.NamedElement-">gotoElement</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;element)</code>
<div class="block">Goto a specific element within the text editor.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html#isDirty--">isDirty</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.cdt.internal.ui.editor.CEditor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.cdt.internal.ui.editor.CEditor</h3>
<code>aboutToBeReconciled, addPostSaveListener, addReconcileListener, affectsOverrideIndicatorAnnotations, affectsTextPresentation, canHandleMove, collectContextMenuPreferencePages, computeHighlightRangeSourceReference, configureSourceViewerDecorationSupport, createActions, createAnnotationRulerColumn, createNavigationActions, createOpenViewActionGroup, createSelectionSearchGroup, editorContextMenuAboutToShow, editorSaved, fillActionBars, getAdapter, getElementAt, getFoldingActionGroup, getInputCElement, getOrientation, getOutlinePage, getSignedSelection, getSourceViewerDecorationSupport, getStatusLineManager, getTranslationUnit, getViewer, gotoMatchingBracket, handlePreferenceStoreChanged, initializeEditor, initializeKeyBindingScopes, initializeViewerColors, installOccurrencesFinder, installOverrideIndicator, installTabsToSpacesConverter, isContentAssistAutoActivartionDisabled, isEnableScalablilityMode, isFoldingEnabled, isMarkingOccurrences, isParserBasedContentAssistDisabled, isPrefQuickDiffAlwaysOn, isSaveAsAllowed, isSemanticHighlightingEnabled, isShowingOverrideIndicators, isTabsToSpacesConversionEnabled, performRevert, reconciled, removePostSaveListener, removeReconcileListener, resetProjection, rulerContextMenuAboutToShow, selectionChanged, selectionChanged, setOutlinePageInput, setOutlinerContextMenuId, setPreferenceStore, setSelection, setSelection, setSelection, setStatusLineErrorMessage, setStatusLineMessage, shouldProcessLocalParsingCompletions, synchronizeOutlinePage, uninstallOccurrencesFinder, uninstallOverrideIndicator, uninstallProjectionModelUpdater, updatedTitleImage, updateOccurrenceAnnotations, updateStateDependentActions, updateStatusLine</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.editors.text.TextEditor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.editors.text.TextEditor</h3>
<code>getStatusBanner, getStatusHeader, getStatusMessage, installEncodingSupport, updatePropertyDependentActions</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.texteditor.AbstractDecoratedTextEditor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.texteditor.AbstractDecoratedTextEditor</h3>
<code>collectOverviewRulerMenuPreferencePages, collectRulerMenuPreferencePages, createAnnotationAccess, createChangeHover, createChangeRulerColumn, createColumnSupport, createCompositeRuler, createContextMenuListener, createLineNumberRulerColumn, createOverviewRuler, createOverviewRulerContextMenu, createStatusControl, createVerticalRuler, disposeDocumentProvider, getAnnotationAccess, getAnnotationPreferenceLookup, getAnnotationPreferences, getDocumentProvider, getOverviewRuler, getOverviewRulerContextMenuId, getSharedColors, getUndoRedoOperationApprover, gotoAnnotation, gotoMarker, handleEditorInputChanged, hideOverviewRuler, initializeLineNumberRulerColumn, isChangeInformationShowing, isEditable, isErrorStatus, isLineNumberRulerVisible, isNavigationTarget, isOverviewRulerVisible, isOverwriteModeEnabled, openSaveErrorDialog, overviewRulerContextMenuAboutToShow, performSaveAs, setDocumentProvider, setOverviewRulerContextMenuId, showChangeInformation, showOverviewRuler, showRevisionInformation, updateMarkerViews, validateEditorInputState</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.texteditor.StatusTextEditor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.texteditor.StatusTextEditor</h3>
<code>doRevertToSaved, handleElementContentReplaced, sanityCheckState, setFocus, updatePartControl, updateStatusField</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.texteditor.AbstractTextEditor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.texteditor.AbstractTextEditor</h3>
<code>addAction, addAction, addGroup, addRulerContextMenuListener, adjustHighlightRange, close, configureInsertMode, containsSavedState, createEmptyNavigationLocation, createNavigationLocation, createUndoRedoActions, doGetSelection, doRestoreState, doSave, doSaveAs, doSetSelection, enableOverwriteMode, enableSanityChecking, enableStateValidation, findAnnotation, firePropertyChange, getAction, getActiveSaveables, getContextMenuListener, getCoverage, getCursorListener, getCursorPosition, getEditorContextMenuId, getFontPropertyPreferenceKey, getHelpContextId, getHighlightRange, getInitialWordWrapStatus, getInsertMode, getLegalInsertModes, getPreferenceStore, getProgressMonitor, getRangeIndicator, getRulerContextMenuId, getRulerMouseListener, getSaveables, getSelectionChangedListener, getSelectionProvider, getSourceViewer, getSourceViewerConfiguration, getStatusField, getVerticalRuler, handleCursorPositionChanged, handleExceptionOnSave, handleInsertModeChanged, init, initializeDragAndDrop, installTextDragAndDrop, internalInit, isBlockSelectionModeEnabled, isBlockSelectionModeSupported, isEditorInputIncludedInContextMenu, isEditorInputModifiable, isEditorInputReadOnly, isInInsertMode, isVisible, isWordWrapEnabled, isWordWrapSupported, markAsContentDependentAction, markAsPropertyDependentAction, markAsSelectionDependentAction, markAsStateDependentAction, markInNavigationHistory, modelOffset2WidgetOffset, performSave, rememberSelection, removeActionActivationCode, removeRulerContextMenuListener, resetHighlightRange, restoreSelection, restoreState, safelySanityCheckState, saveState, selectAndReveal, selectAndReveal, setAction, setActionActivationCode, setBlockSelectionMode, setCompatibilityMode, setDocumentProvider, setEditorContextMenuId, setHelpContextId, setHighlightRange, setInput, setInputWithNotify, setInsertMode, setKeyBindingScopes, setRangeIndicator, setRulerContextMenuId, setSourceViewerConfiguration, setStatusField, setWordWrap, showHighlightRangeOnly, showsHighlightRangeOnly, uninstallTabsToSpacesConverter, uninstallTextDragAndDrop, updateContentDependentActions, updateContributedRulerColumns, updateIndentPrefixes, updateSelectionDependentActions, updateState, updateStatusFields, validateState, widgetOffset2ModelOffset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.EditorPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.EditorPart</h3>
<code>checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setPartName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.WorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.WorkbenchPart</h3>
<code>addPartPropertyListener, addPropertyListener, firePartPropertyChanged, getConfigurationElement, getContentDescription, getDefaultImage, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.commands.common.EventManager">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.core.commands.common.EventManager</h3>
<code>addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.texteditor.ITextEditor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.texteditor.ITextEditor</h3>
<code>close, doRevertToSaved, getAction, getDocumentProvider, getHighlightRange, getSelectionProvider, isEditable, removeActionActivationCode, resetHighlightRange, selectAndReveal, setAction, setActionActivationCode, setHighlightRange, showHighlightRangeOnly, showsHighlightRangeOnly</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.IEditorPart">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.IEditorPart</h3>
<code>getEditorInput, getEditorSite, init</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.ISaveablePart">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.ISaveablePart</h3>
<code>doSave, doSaveAs, isSaveOnCloseNeeded</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="registry">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registry</h4>
<pre>protected final&nbsp;org.eclipse.papyrus.infra.core.services.ServicesRegistry registry</pre>
<div class="block">the service registry</div>
</li>
</ul>
<a name="papyrusTextInstance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>papyrusTextInstance</h4>
<pre>protected final&nbsp;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a> papyrusTextInstance</pre>
<div class="block">the papyrus text instance</div>
</li>
</ul>
<a name="focusListener">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>focusListener</h4>
<pre>protected&nbsp;org.eclipse.swt.events.FocusListener focusListener</pre>
<div class="block">the text listener</div>
</li>
</ul>
<a name="EDITOR_DEFAULT_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EDITOR_DEFAULT_NAME</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> EDITOR_DEFAULT_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.PapyrusCDTEditor.EDITOR_DEFAULT_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EDITOR_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EDITOR_TYPE</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> EDITOR_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.PapyrusCDTEditor.EDITOR_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="syncCpp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncCpp</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/SyncCDTtoModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync">SyncCDTtoModel</a> syncCpp</pre>
</li>
</ul>
<a name="reveal">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reveal</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/sync/RevealCurrentOperation.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.sync">RevealCurrentOperation</a> reveal</pre>
</li>
</ul>
<a name="gotoListener">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gotoListener</h4>
<pre>protected&nbsp;org.eclipse.emf.common.notify.Adapter gotoListener</pre>
</li>
</ul>
<a name="gmfUndo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gmfUndo</h4>
<pre>protected&nbsp;org.eclipse.jface.action.IAction gmfUndo</pre>
</li>
</ul>
<a name="gmfRedo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gmfRedo</h4>
<pre>protected&nbsp;org.eclipse.jface.action.IAction gmfRedo</pre>
</li>
</ul>
<a name="textUndo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>textUndo</h4>
<pre>protected&nbsp;org.eclipse.jface.action.IAction textUndo</pre>
</li>
</ul>
<a name="textRedo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>textRedo</h4>
<pre>protected&nbsp;org.eclipse.jface.action.IAction textRedo</pre>
</li>
</ul>
<a name="oldDirty">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oldDirty</h4>
<pre>protected&nbsp;boolean oldDirty</pre>
</li>
</ul>
<a name="saveAndDirtyService">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveAndDirtyService</h4>
<pre>protected&nbsp;org.eclipse.papyrus.infra.ui.lifecycleevents.ISaveAndDirtyService saveAndDirtyService</pre>
</li>
</ul>
<a name="srcFile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>srcFile</h4>
<pre>protected&nbsp;org.eclipse.core.resources.IFile srcFile</pre>
</li>
</ul>
<a name="sp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sp</h4>
<pre>protected&nbsp;org.eclipse.jface.viewers.ISelectionProvider sp</pre>
</li>
</ul>
<a name="m_input">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_input</h4>
<pre>protected&nbsp;org.eclipse.ui.IEditorInput m_input</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PapyrusCDTEditor-org.eclipse.papyrus.infra.core.services.ServicesRegistry-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PapyrusCDTEditor</h4>
<pre>public&nbsp;PapyrusCDTEditor(org.eclipse.papyrus.infra.core.services.ServicesRegistry&nbsp;registry,
                        <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;papyrusTextInstance)</pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registry</code> - </dd>
<dd><code>papyrusTextInstance</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createPartControl-org.eclipse.swt.widgets.Composite-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPartControl</h4>
<pre>public&nbsp;void&nbsp;createPartControl(org.eclipse.swt.widgets.Composite&nbsp;parent)</pre>
<div class="block">override method in order to save & restore action bars entries</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createPartControl</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IWorkbenchPart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createPartControl</code>&nbsp;in class&nbsp;<code>org.eclipse.cdt.internal.ui.editor.CEditor</code></dd>
</dl>
</li>
</ul>
<a name="createSourceViewer-org.eclipse.swt.widgets.Composite-org.eclipse.jface.text.source.IVerticalRuler-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSourceViewer</h4>
<pre>public&nbsp;org.eclipse.jface.text.source.ISourceViewer&nbsp;createSourceViewer(org.eclipse.swt.widgets.Composite&nbsp;parent,
                                                                      org.eclipse.jface.text.source.IVerticalRuler&nbsp;ruler,
                                                                      int&nbsp;styles)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createSourceViewer</code>&nbsp;in class&nbsp;<code>org.eclipse.cdt.internal.ui.editor.CEditor</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - </dd>
<dd><code>ruler</code> - </dd>
<dd><code>styles</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>AbstractDecoratedTextEditor.createSourceViewer(org.eclipse.swt.widgets.Composite, org.eclipse.jface.text.source.IVerticalRuler, int)</code></dd>
</dl>
</li>
</ul>
<a name="gotoElement-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gotoElement</h4>
<pre>public&nbsp;void&nbsp;gotoElement(org.eclipse.uml2.uml.NamedElement&nbsp;element)</pre>
<div class="block">Goto a specific element within the text editor. Currently, only methods are supported.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.runtime.CoreException</code></dd>
</dl>
</li>
</ul>
<a name="isDirty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDirty</h4>
<pre>public&nbsp;boolean&nbsp;isDirty()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isDirty</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ISaveablePart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isDirty</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.texteditor.AbstractTextEditor</code></dd>
</dl>
</li>
</ul>
<a name="doSetInput-org.eclipse.ui.IEditorInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSetInput</h4>
<pre>protected&nbsp;void&nbsp;doSetInput(org.eclipse.ui.IEditorInput&nbsp;input)
                   throws org.eclipse.core.runtime.CoreException</pre>
<div class="block">We override this method because setInput can't be overriden for TextEditor.
 We replace the default Papyrus input with the CPP file</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSetInput</code>&nbsp;in class&nbsp;<code>org.eclipse.cdt.internal.ui.editor.CEditor</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.runtime.CoreException</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>TextEditor.doSetInput(org.eclipse.ui.IEditorInput)</code></dd>
</dl>
</li>
</ul>
<a name="dispose--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dispose</h4>
<pre>public&nbsp;void&nbsp;dispose()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>dispose</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IWorkbenchPart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>dispose</code>&nbsp;in class&nbsp;<code>org.eclipse.cdt.internal.ui.editor.CEditor</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>TextEditor.dispose()</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusCDTEditor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/DelegatingSourceViewer.html" title="class in org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/editor/PapyrusCDTEditor.html" target="_top">Frames</a></li>
<li><a href="PapyrusCDTEditor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.cdt.internal.ui.editor.CEditor">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
